\exo{}
\q Soit $M \in\mathcal{M}_n(\C)$. Montrer l'équivalence : 
\begin{equation*}
  (M \not\in GL_n(\C)) \iff ((\exists P \in GL_n(\C)), \forall \lambda \in \C, P-\lambda M\in GL_n(\C))
\end{equation*}
\q  Soit $ \varphi : \mathcal{M}_n(\C) \to \mathcal{M}_n(\C)$ linéaire telle que $\forall M \in GL_n(\C), \varphi(M) \in GL_n(\C)$. Montrer réciproquement que si $\varphi(M) \in GL_n(\C)$, alors $M \in GL_n(\C)$.




\ifwithcorrection \correction 


\fi
